Bug 1224731 - perl-XML-LibXML-2.0121-1.fc23 FTBFS: 90threads.t test locks up or crash randomly
Summary: perl-XML-LibXML-2.0121-1.fc23 FTBFS: 90threads.t test locks up or crash randomly
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-XML-LibXML
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: http://koschei.cloud.fedoraproject.or...
Whiteboard:
: 1620547 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-25 13:08 UTC by Petr Pisar
Modified: 2018-08-23 07:19 UTC (History)
3 users (show)

Fixed In Version: perl-XML-LibXML-2.0121-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-27 12:09:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 91800 None None None Never

Description Petr Pisar 2015-05-25 13:08:46 UTC
perl-XML-LibXML-2.0121-1.fc23 fails to build sometimes in F23 because t/90threads.t test does not halt:

t/90stack.t ............................... ok
EXCEPTION: Timeout(86400) expired for command:
 # bash --login -c /usr/bin/rpmbuild -bb --target x86_64 --nodeps  /builddir/build/SPECS/perl-XML-LibXML.spec 

See Koschei build log <http://koschei.cloud.fedoraproject.org/package/perl-XML-LibXML> for the frequency.

Comment 1 Petr Pisar 2015-05-27 11:40:06 UTC
Also the 90threads.t crashes sometimes:

t/90stack.t ............................... ok
PmmREFCNT_dec: REFCNT decremented below 0 for 84b7de0! at t/90threads.t line 137.

According to CPAN RT#91800, it's because of reference counting of internal XML::LibXML objects and it looks like incompatible with threads::shared::shared_clone().

I keen to stop invoking optional thread test and mark XML-LibXML's thread support as unfinished and problematic.

Comment 2 Petr Pisar 2015-05-27 12:09:27 UTC
I disabled the thread tests in perl-XML-LibXML-2.0121-2.fc23.

Comment 3 Petr Pisar 2018-08-23 07:19:58 UTC
*** Bug 1620547 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.